Package Details: karchive-git 5.79.0_r450.gfecb61b-1

Git Clone URL: https://aur.archlinux.org/karchive-git.git (read-only, click to copy)
Package Base: karchive-git
Description: Qt 5 addon providing access to numerous types of archives
Upstream URL: https://community.kde.org/Frameworks
Licenses: LGPL
Groups: kf5-git
Conflicts: karchive
Provides: karchive
Submitter: ilpianista
Maintainer: IslandC0der
Last Packager: IslandC0der
Votes: 32
Popularity: 0.58
First Submitted: 2014-01-04 11:36
Last Updated: 2021-02-01 23:17

Required by (29)

Sources (1)

Latest Comments

IslandC0der commented on 2021-01-24 00:22

@dr460nf1r3 alright, already working on it. Expecting it to be done this week :)

Also, something else: I noticed some other PKGBUILDs have awkward versioning (like "r564.83fdd52"). Do you happen to know if your pkgver() function would also work for any other KDE frameworks package? Because that would be awesome :D

dr460nf1r3 commented on 2021-01-17 20:06

Well, Im currently writing this from a fully functional plasma-git so yes, its all there now and dependencies are added :D Didnt touch anything other than the pkver and dependencies when I modified the stuff so the last step would be to get the PKGBUILDs in the AUR up to date, if thats fine for you.

IslandC0der commented on 2021-01-17 16:43

@dr460nf1r3 thanks for the link! I've actually been working on merging these PKGBUILDs with the official ones (you can get them using asp), because it turns out there's a lot of inconsistency when it comes to optional deps and the building process itself, and some are just flat out broken, outdated, or have missing dependencies.

However I can't just copy the official ones, I have to port them over and change some deps to their -git version. I think we can use the official repos' version for non-KDE deps (like Qt), since arch is pretty bleeding edge, but KDE dependencies must use the -git version to be safe.

Anyways, hopefully we can get them all on chaotic! I've already been involved with submitting some before, but there are still quite a few missing. Let me know if there's anything I can help with, I'd be eager to contribute :D

dr460nf1r3 commented on 2021-01-17 07:45

Well, you are right about Chaotic :D Spent the last few days bringing KDE unstable on there and realized a lot of the versions were not really unified so I decided to try and fix them. Also a lot of the packages were missing makedepends (we build in clean chroots so that might be the reason) which had to be added. You might want to have a look at the repo I created for this for the fixed stuff: https://gitlab.com/fixed-kde-unstable-pkgbuilds If you want, you can make me contributor, sure :)

IslandC0der commented on 2021-01-16 22:29

@dr460nf1r3 thank you so much, didn't realize the version was wrong. This honestly sounds like something that should be fixed upstream, but in the meantime I'll implement your change. Would you like me to add you as a contributor?

Also, I think I recognize your name... You're from chaotic, aren't you? :D

dr460nf1r3 commented on 2021-01-16 14:29

Fixed pkgbuild with proper versioning

Kiichiro commented on 2014-03-12 08:24

Try to do full clone git repo.

andre.vmatos commented on 2014-02-24 20:01

I'm getting following error trying to build this package:

CMake Error at src/CMakeLists.txt:88 (install):
install FILES given directory
"/home/andre/pkgs/kf5/karchive-git/src/build/src/KArchive" to install.


--
-- The following OPTIONAL packages have been found:

* LibLZMA , Support for xz compressed files and data streams , <http://tukaani.org/xz/>
Support for xz compressed files and data streams

-- The following RECOMMENDED packages have been found:

* BZip2 , Support for BZip2 compressed files and data streams , <http://www.bzip.org>
Support for BZip2 compressed files and data streams

-- The following REQUIRED packages have been found:

* ECM (required version >= 0.0.10)
* Qt5Core (required version >= 5.2.0)
* ZLIB , Support for gzip compressed files and data streams , <http://www.zlib.net>
Required by the core KDE libraries and some criti cal kioslaves

-- Configuring incomplete, errors occurred!
See also "/home/andre/pkgs/kf5/karchive-git/src/build/CMakeFiles/CMakeOutput.log".